Bug 1274569 - org.uberfire.cluster.autostart for cluster configuration
org.uberfire.cluster.autostart for cluster configuration
Status: NEW
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: brms-docs@redhat.com
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 22:15 EDT by Toshiya Kobayashi
Modified: 2016-01-22 05:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 22831, Installation Guide-6.1 Build Date: 31-07-2015 13:58:58 Topic ID: 22894-762514 [Latest]
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BXMSDOC-140 Major Resolved (RHBZ#1274569) org.uberfire.cluster.autostart for cluster configuration 2017-04-18 00:24 EDT

  None (edit)
Description Toshiya Kobayashi 2015-10-22 22:15:52 EDT
Title: Configuring Clustering on Red Hat JBoss EAP

Describe the issue:

The example configurations (Example 5.5. Cluster nodeOne configuration, Example 5.6. Cluster nodeTwo configuration, Example 5.7. Cluster nodeThree configuration) set the system property "org.uberfire.cluster.autostart" to "true".

===
<property name="org.uberfire.cluster.autostart" value="true" boot-time="true"/>
===

But it causes an issue described in BZ1271898. "false" is the correct value.

As the default value is "false", we can simply remove the line from the configuration.

Comment from Alexandre Porcelli:
===
Today for BxMS there isn’t a case for org.uberfire.cluster.autostart to ‘true'

Anyway… we’re working on this for 7, so we expect to have a different infra for clustering (it means a way simpler infra!).
===

Suggestions for improvement:

Remove <property name="org.uberfire.cluster.autostart" value="true" boot-time="true"/> from the configurations.

Note You need to log in before you can comment on or make changes to this bug.